using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BankDataModels;
using System.ComponentModel;

namespace BankContracts.ViewModels
{
    public class EmployeeViewModel : IEmployeeModel
    {
        public int Id { get; set; }
        [DisplayName("Фамилия")]
        public string LastName { get; set; } = string.Empty;
        [DisplayName("Имя")]
        public string FirstName { get; set; } = string.Empty;
        [DisplayName("Отчество")]
        public string? MiddleName { get; set; } = string.Empty;
        [DisplayName("Номер телефона")]
        public string PhoneNumber { get; set; } = string.Empty;
        [DisplayName("Пароль")]
        public string Password { get; set; } = string.Empty;
        [DisplayName("Должность")]
        public string Post { get; set; } = string.Empty;
        public string Email { get; set; } = string.Empty;
    }
}
